# unity-installer

[![npm](https://img.shields.io/npm/v/unity-installer.svg)](https://www.npmjs.com/package/unity-installer) [![Build Status](https://travis-ci.org/zettaforge/unity-installer.svg?branch=master)](https://travis-ci.org/zettaforge/unity-installer) [![Greenkeeper badge](https://badges.greenkeeper.io/zettaforge/unity-installer.svg)](https://greenkeeper.io/) [![David](https://david-dm.org/zettaforge/unity-installer.svg)](https://david-dm.org/zettaforge/unity-installer) [![Coverage Status](https://coveralls.io/repos/github/zettaforge/unity-installer/badge.svg?branch=master)](https://coveralls.io/github/zettaforge/unity-installer?branch=master)

Minimalist command line installer for [Unity](https://unity3d.com/) with support for [semver](http://semver.org/) ranges. Designed for use with Mac OS X hosts in a continuous integration environment.

## Prerequisites

Install [Node.js](https://nodejs.org/en/download/) for your platform and restart your session such that `node` and `npm` are on `PATH`.

## Installation

Install using npm:
```
npm install -g unity-installer
```

## Usage

See available options:
```
$ unity-installer
Usage: unity-installer <range> [options]
  -l, --latest      install latest version of Unity (or specify semver range)
  -v, --versions    list available versions to install
```

Install the latest version of Unity:
```
$ unity-installer -l
..
```

Install the latest version of a [particular range](https://www.npmjs.com/package/semver#ranges):
```
$ unity-installer ^2017.1
..
```

## License

See [LICENSE](./LICENSE).
